/* Copyright (C) 2015 - 2017      Suncoast Connection
 * 
 * LICENSE: This Source Code Form is subject to the terms of the Mozilla Public License, v. 2.0
 * See the Mozilla Public License for more details. 
 * If a copy of the MPL was not distributed with this file, You can obtain one at https://mozilla.org/MPL/2.0/.
 * 
 * @author  Art Eaton <art@suncoastconnection.com>
 * @author  Bryan lee <leebc@suncoastconnection.com>
 * @package LibreHealthEHR 
 * @link    http://suncoastconnection.com
 * @link    http://librehealth.io
 *
 * Please support this product by sharing your changes with the LibreHealth.io community.
 */
SET character_set_client = utf8;
DELETE FROM list_options WHERE list_id = 'ptlistcols';
DELETE FROM list_options WHERE list_id = 'lists' AND option_id = 'ptlistcols';

INSERT INTO `list_options` (`list_id`, `option_id`, `title`, `seq`, `is_default`, `option_value`, `mapping`, `notes`, `codes`, `toggle_setting_1`, `toggle_setting_2`, `activity`) VALUES ('lists','ptlistcols','Patient List Columns',1,0,0,'','','',0,0,1);
INSERT INTO `list_options` (`list_id`, `option_id`, `title`, `seq`, `is_default`, `option_value`, `mapping`, `notes`, `codes`, `toggle_setting_1`, `toggle_setting_2`, `activity`) VALUES ('ptlistcols','DOB','Date of Birth',40,0,0,'','','',0,0,1);
INSERT INTO `list_options` (`list_id`, `option_id`, `title`, `seq`, `is_default`, `option_value`, `mapping`, `notes`, `codes`, `toggle_setting_1`, `toggle_setting_2`, `activity`) VALUES ('ptlistcols','fname','First Name',10,0,0,'','','',0,0,1);
INSERT INTO `list_options` (`list_id`, `option_id`, `title`, `seq`, `is_default`, `option_value`, `mapping`, `notes`, `codes`, `toggle_setting_1`, `toggle_setting_2`, `activity`) VALUES ('ptlistcols','lname','Last Name',20,0,0,'','','',0,0,1);
INSERT INTO `list_options` (`list_id`, `option_id`, `title`, `seq`, `is_default`, `option_value`, `mapping`, `notes`, `codes`, `toggle_setting_1`, `toggle_setting_2`, `activity`) VALUES ('ptlistcols','pid','Patient ID',50,0,0,'','','',0,0,1);
INSERT INTO `list_options` (`list_id`, `option_id`, `title`, `seq`, `is_default`, `option_value`, `mapping`, `notes`, `codes`, `toggle_setting_1`, `toggle_setting_2`, `activity`) VALUES ('ptlistcols','providerID','Primary Provider',30,0,0,'','','',0,0,1);

REPLACE INTO `globals` (`gl_name`, `gl_index`, `gl_value`) VALUES
('default_top_pane', 0, 'main_info.php'),
('concurrent_layout', 0, '3'),
('default_encounter_view', 0, '0'),
('css_header', 0, 'style_purple.css'),
('gbl_nav_area_width', 0, '150'),
('openemr_name', 0, 'MIPS Gateway'),
('full_new_patient_form', 0, '1'),
('patient_search_results_style', 0, '0'),
('gbl_tall_nav_area', 0, ''),
('gbl_nav_visit_forms', 0, ''),
('simplified_demographics', 0, ''),
('simplified_prescriptions', 0, ''),
('simplified_copay', 0, ''),
('use_charges_panel', 0, ''),
('enable_fees_in_left_menu', 0, ''),
('enable_edihistory_in_left_menu', 0, ''),
('online_support_link', 0, 'http://suncoastconnection.com/'),
('drop_bottom', 0, ''),
('encounter_page_size', 0, '20'),
('gbl_pt_list_page_size', 0, '100'),
('gbl_pt_list_new_window', 0, ''),
('gbl_vitals_options', 0, '0'),
('insurance_information', 0, '4'),
('language_default', 0, 'English (Standard)'),
('language_menu_showall', 0, ''),
('allow_debug_language', 0, '1'),
('translate_layout', 0, ''),
('translate_lists', 0, ''),
('translate_gacl_groups', 0, ''),
('translate_form_titles', 0, ''),
('translate_document_categories', 0, ''),
('translate_appt_categories', 0, ''),
('units_of_measurement', 0, '1'),
('us_weight_format', 0, '1'),
('disable_deprecated_metrics_form', 0, '1'),
('phone_country_code', 0, '1'),
('date_display_format', 0, '0'),
('time_display_format', 0, '0'),
('currency_decimals', 0, '2'),
('currency_dec_point', 0, '.'),
('currency_thousands_sep', 0, ','),
('gbl_currency_symbol', 0, '$'),
('age_display_format', 0, '0'),
('age_display_limit', 0, '3'),
('specific_application', 0, '0'),
('inhouse_pharmacy', 0, '0'),
('disable_chart_tracker', 0, '1'),
('disable_phpmyadmin_link', 0, ''),
('disable_immunizations', 0, ''),
('disable_prescriptions', 0, ''),
('omit_employers', 0, '1'),
('select_multi_providers', 0, ''),
('disable_non_default_groups', 0, '1'),
('ignore_pnotes_authorization', 0, '1'),
('support_encounter_claims', 0, ''),
('advance_directives_warning', 0, ''),
('configuration_import_export', 0, '1'),
('restrict_user_facility', 0, ''),
('set_facility_cookie', 0, ''),
('receipts_by_provider', 0, ''),
('discount_by_money', 0, '1'),
('gbl_visit_referral_source', 0, ''),
('gbl_mask_patient_id', 0, ''),
('gbl_mask_invoice_number', 0, ''),
('gbl_mask_product_id', 0, ''),
('force_billing_widget_open', 0, ''),
('number_of_appts_to_show', 0, '10'),
('num_past_appointments_to_show', 0, '0'),
('activate_ccr_ccd_report', 0, ''),
('hide_document_encryption', 0, '1'),
('use_custom_immun_list', 0, ''),
('cms_1500', 0, '1'),
('cms_1500_box_31_format', 0, '0'),
('cms_1500_box_31_date', 0, '0'),
('amendments', 0, '1'),
('use_custom_daysheet', 0, '1'),
('daysheet_provider_totals', 0, '1'),
('ledger_begin_date', 0, 'Y1'),
('print_next_appointment_on_ledger', 0, '1'),
('sales_report_invoice', 0, '2'),
('default_search_code_type', 0, 'ICD10'),
('support_fee_sheet_line_item_provider', 0, ''),
('default_fee_sheet_line_item_provider', 0, ''),
('use_custom_statement', 0, ''),
('statement_bill_note_print', 0, ''),
('use_dunning_message', 0, ''),
('first_dun_msg_set', 0, '30'),
('first_dun_msg_text', 0, ''),
('second_dun_msg_set', 0, '60'),
('second_dun_msg_text', 0, ''),
('third_dun_msg_set', 0, '90'),
('third_dun_msg_text', 0, ''),
('fourth_dun_msg_set', 0, '120'),
('fourth_dun_msg_text', 0, ''),
('fifth_dun_msg_set', 0, '150'),
('fifth_dun_msg_text', 0, ''),
('esign_all', 0, ''),
('lock_esign_all', 0, ''),
('esign_individual', 0, '1'),
('lock_esign_individual', 0, '1'),
('esign_lock_toggle', 0, ''),
('esign_report_hide_empty_sig', 0, '1'),
('document_storage_method', 0, '0'),
('couchdb_host', 0, 'localhost'),
('couchdb_user', 0, ''),
('couchdb_pass', 0, ''),
('couchdb_port', 0, '5984'),
('couchdb_dbase', 0, ''),
('couchdb_log', 0, ''),
('expand_document_tree', 0, ''),
('patient_id_category_name', 0, 'Patient ID card'),
('patient_photo_category_name', 0, 'Patient Photograph'),
('lab_results_category_name', 0, 'Lab Report'),
('gbl_mdm_category_name', 0, 'Lab Report'),
('disable_calendar', 0, '1'),
('schedule_start', 0, '8'),
('schedule_end', 0, '17'),
('calendar_interval', 0, '60'),
('calendar_view_type', 0, 'day'),
('calendar_appt_style', 0, '2'),
('docs_see_entire_calendar', 0, ''),
('auto_create_new_encounters', 0, '1'),
('event_color', 0, '1'),
('disable_pat_trkr', 0, ''),
('ptkr_pt_list_new_window', 0, ''),
('pat_trkr_timer', 0, '0:20'),
('checkout_roll_off', 0, '0'),
('drug_screen', 0, ''),
('drug_testing_percentage', 0, '33'),
('maximum_drug_test_yearly', 0, '0'),
('timeout', 0, '7200'),
('secure_password', 0, ''),
('password_history', 0, ''),
('password_compatibility', 0, ''),
('password_expiration_days', 0, '0'),
('password_grace_time', 0, '0'),
('is_client_ssl_enabled', 0, ''),
('certificate_authority_crt', 0, ''),
('certificate_authority_key', 0, ''),
('client_certificate_valid_in_days', 0, '365'),
('Emergency_Login_email_id', 0, ''),
('patient_reminder_sender_name', 0, ''),
('patient_reminder_sender_email', 0, ''),
('practice_return_email_path', 0, ''),
('EMAIL_METHOD', 0, 'SMTP'),
('SMTP_HOST', 0, 'localhost'),
('SMTP_PORT', 0, '25'),
('SMTP_USER', 0, ''),
('SMTP_PASS', 0, ''),
('SMTP_SECURE', 0, ''),
('EMAIL_NOTIFICATION_HOUR', 0, '50'),
('SMS_NOTIFICATION_HOUR', 0, '50'),
('SMS_GATEWAY_USENAME', 0, ''),
('SMS_GATEWAY_PASSWORD', 0, ''),
('SMS_GATEWAY_APIKEY', 0, ''),
('phone_notification_hour', 0, '50'),
('phone_gateway_username', 0, ''),
('phone_gateway_password', 0, ''),
('phone_gateway_url', 0, ''),
('enable_cdr', 0, ''),
('enable_allergy_check', 0, ''),
('enable_alert_log', 0, ''),
('enable_cdr_new_crp', 0, ''),
('enable_cdr_crw', 0, ''),
('enable_cdr_crp', 0, ''),
('enable_cdr_prw', 0, ''),
('enable_cqm', 0, ''),
('pqri_registry_name', 0, 'Model Registry'),
('pqri_registry_id', 0, '125789123'),
('enable_amc', 0, ''),
('enable_amc_prompting', 0, ''),
('enable_amc_tracking', 0, ''),
('clinical_measures_report_nice', 0, ''),
('pat_rem_clin_nice', 0, ''),
('report_itemizing_standard', 0, ''),
('report_itemizing_pqrs', 0, '1'),
('report_itemizing_cqm', 0, ''),
('report_itemizing_amc', 0, ''),
('enable_auditlog', 0, '1'),
('audit_events_patient-record', 0, '1'),
('audit_events_scheduling', 0, '1'),
('audit_events_order', 0, '1'),
('audit_events_security-administration', 0, '1'),
('audit_events_backup', 0, '1'),
('audit_events_other', 0, '1'),
('audit_events_query', 0, ''),
('audit_events_cdr', 0, ''),
('enable_atna_audit', 0, ''),
('atna_audit_host', 0, ''),
('atna_audit_port', 0, '6514'),
('atna_audit_localcert', 0, ''),
('atna_audit_cacert', 0, ''),
('enable_auditlog_encryption', 0, '0'),
('billing_log_option', 0, '1'),
('gbl_print_log_option', 0, '0'),
('mysql_bin_dir', 0, '/usr/bin'),
('perl_bin_dir', 0, '/usr/bin'),
('temporary_files_dir', 0, '/tmp'),
('backup_log_dir', 0, '/tmp'),
('state_data_type', 0, '26'),
('state_list', 0, 'state'),
('state_custom_addlist_widget', 0, '1'),
('country_data_type', 0, '26'),
('country_list', 0, 'country'),
('print_command', 0, 'lpr -P HPLaserjet6P -o cpi=10 -o lpi=6 -o page-left=72 -o page-top=72'),
('default_chief_complaint', 0, ''),
('default_new_encounter_form', 0, ''),
('MedicareReferrerIsRenderer', 0, ''),
('post_to_date_benchmark', 0, '2016-09-12'),
('enable_hylafax', 0, ''),
('hylafax_server', 0, 'localhost'),
('hylafax_basedir', 0, '/var/spool/fax'),
('hylafax_enscript', 0, 'enscript -M Letter -B -e^ --margins=36:36:36:36'),
('enable_scanner', 0, ''),
('scanner_output_directory', 0, '/mnt/scan_docs'),
('portal_onsite_enable', 0, ''),
('portal_onsite_address', 0, 'https://your_web_site.com/openemr/patients'),
('portal_onsite_document_download', 0, ''),
('portal_offsite_enable', 0, ''),
('portal_offsite_providerid', 0, ''),
('portal_offsite_username', 0, ''),
('portal_offsite_password', 0, ''),
('portal_offsite_address', 0, 'https://ssh.mydocsportal.com/provider.php'),
('portal_offsite_address_patient_link', 0, 'https://ssh.mydocsportal.com'),
('gbl_portal_cms_enable', 0, ''),
('gbl_portal_cms_address', 0, 'https://your_cms_site.com/'),
('gbl_portal_cms_username', 0, ''),
('gbl_portal_cms_password', 0, ''),
('lab_exchange_enable', 0, ''),
('lab_exchange_siteid', 0, '3'),
('lab_exchange_token', 0, '12345'),
('lab_exchange_endpoint', 0, 'https://len.mi-squared.com:29443/len/api'),
('erx_enable', 0, ''),
('erx_newcrop_path', 0, 'https://secure.newcropaccounts.com/InterfaceV7/RxEntry.aspx'),
('erx_newcrop_path_soap', 0, 'https://secure.newcropaccounts.com/v7/WebServices/Update1.asmx?WSDL;https://secure.newcropaccounts.com/v7/WebServices/Patient.asmx?WSDL'),
('erx_soap_ttl_allergies', 0, '21600'),
('erx_soap_ttl_medications', 0, '21600'),
('erx_account_partner_name', 0, ''),
('erx_account_name', 0, ''),
('erx_account_password', 0, ''),
('erx_account_id', 0, '1'),
('erx_upload_active', 0, ''),
('erx_import_status_message', 0, ''),
('erx_medication_display', 0, ''),
('erx_allergy_display', 0, ''),
('erx_default_patient_country', 0, ''),
('erx_debug_setting', 0, '0'),
('phimail_enable', 0, ''),
('phimail_server_address', 0, 'https://phimail.example.com:32541'),
('phimail_username', 0, ''),
('phimail_password', 0, ''),
('phimail_notify', 0, 'admin'),
('phimail_interval', 0, '5'),
('phimail_ccd_enable', 0, ''),
('phimail_ccr_enable', 0, ''),
('rx_enable_DEA', 0, '1'),
('rx_show_DEA', 0, ''),
('rx_enable_NPI', 0, ''),
('rx_show_NPI', 0, ''),
('rx_enable_SLN', 0, ''),
('rx_show_SLN', 0, ''),
('rx_paper_size', 0, 'LETTER'),
('rx_left_margin', 0, '30'),
('rx_right_margin', 0, '30'),
('rx_top_margin', 0, '72'),
('rx_bottom_margin', 0, '30'),
('pdf_layout', 0, 'P'),
('pdf_language', 0, 'en'),
('pdf_size', 0, 'LETTER'),
('pdf_left_margin', 0, '5'),
('pdf_right_margin', 0, '5'),
('pdf_top_margin', 0, '5'),
('pdf_bottom_margin', 0, '8'),
('pdf_output', 0, 'D'),
('chart_label_type', 0, '1'),
('barcode_label_type', 0, '9'),
('addr_label_type', 0, '1'),
('enable_pqrs', 0, '1'),
('pqrs_thing1', 0, '1'),
('pqrs_thing2', 0, '1'),
('pqrs_fish_type', 0, '1'),
('pqrs_demosystem', 0, ''),
('pqrs_creator', 0, 'Fix Me'),
('pqrs_registry_name', 0, 'Fix Me'),
('pqrs_registry_id', 0, 'Fix Me'),
('pqrs_vendor_unique_id', 0, 'Fix Me');

TRUNCATE TABLE `layout_options`;
INSERT INTO `layout_options` (`form_id`, `field_id`, `group_name`, `title`, `seq`, `data_type`, `uor`, `fld_length`, `max_length`, `list_id`, `titlecols`, `datacols`, `default_value`, `edit_options`, `description`, `fld_rows`, `list_backup_id`, `source`, `conditions`) VALUES
('DEM', 'title', '1Facesheet', 'Name', 1, 1, 0, 0, 0, 'titles', 1, 1, '', 'N', 'Title', 0, '', 'F', ''),
('DEM', 'fname', '1Facesheet', 'Name', 2, 2, 2, 10, 63, '', 1, 3, '', 'CD', 'First Name', 0, '', 'F', ''),
('DEM', 'mname', '1Facesheet', '', 3, 2, 1, 2, 63, '', 0, 0, '', 'C', 'Middle Name', 0, '', 'F', ''),
('DEM', 'lname', '1Facesheet', '', 4, 2, 2, 10, 63, '', 0, 0, '', 'CD', 'Last Name', 0, '', 'F', ''),
('DEM', 'pubpid', '1Facesheet', 'Patient ID', 5, 2, 0, 10, 15, '', 1, 1, '', 'ND', 'External identifier', 0, '', 'F', ''),
('DEM', 'DOB', '1Facesheet', 'DOB', 6, 4, 2, 0, 10, '', 1, 1, '', 'D', 'Date of Birth', 0, '', 'F', ''),
('DEM', 'sex', '1Facesheet', 'Sex', 7, 1, 2, 0, 0, 'sex', 1, 1, '', 'N', 'Sex', 0, '', 'F', ''),
('DEM', 'ss', '1Facesheet', 'S.S.', 10, 2, 0, 11, 11, '', 1, 1, '', '', 'Social Security Number', 0, '', 'F', ''),
('DEM', 'drivers_license', '1Facesheet', 'License/ID', 9, 2, 0, 15, 63, '', 1, 1, '', '', 'Drivers License or State ID', 0, '', 'F', ''),
('DEM', 'status', '1Facesheet', 'Marital Status', 10, 1, 0, 0, 0, 'marital', 1, 3, '', '', 'Marital Status', 0, '', 'F', ''),
('DEM', 'genericname1', '1Facesheet', 'User Defined', 11, 2, 0, 15, 63, '', 1, 3, '', '', 'User Defined Field', 0, '', 'F', ''),
('DEM', 'genericval1', '1Facesheet', '', 12, 2, 0, 15, 63, '', 0, 0, '', '', 'User Defined Field', 0, '', 'F', ''),
('DEM', 'genericname2', '1Facesheet', '', 13, 2, 0, 15, 63, '', 0, 0, '', '', 'User Defined Field', 0, '', 'F', ''),
('DEM', 'genericval2', '1Facesheet', '', 14, 2, 0, 15, 63, '', 0, 0, '', '', 'User Defined Field', 0, '', 'F', ''),
('DEM', 'squad', '1Facesheet', 'Squad', 15, 13, 0, 0, 0, '', 1, 3, '', '', 'Squad Membership', 0, '', 'F', ''),
('DEM', 'pricelevel', '1Facesheet', 'Price Level', 16, 1, 0, 0, 0, 'pricelevel', 1, 1, '', '', 'Discount Level', 0, '', 'F', ''),
('DEM', 'street', '2Contact', 'Address', 1, 2, 1, 25, 63, '', 1, 1, '', 'C', 'Street and Number', 0, '', 'F', ''),
('DEM', 'city', '2Contact', 'City', 2, 2, 1, 15, 63, '', 1, 1, '', 'C', 'City Name', 0, '', 'F', ''),
('DEM', 'state', '2Contact', 'State', 3, 26, 1, 0, 0, 'state', 1, 1, '', '', 'State/Locality', 0, '', 'F', ''),
('DEM', 'postal_code', '2Contact', 'Postal Code', 4, 2, 1, 6, 63, '', 1, 1, '', '', 'Postal Code', 0, '', 'F', ''),
('DEM', 'country_code', '2Contact', 'Country', 5, 26, 1, 0, 0, 'country', 1, 1, '', '', 'Country', 0, '', 'F', ''),
('DEM', 'county', '2Contact', 'County', 5, 26, 0, 0, 0, 'county', 1, 1, '', '', 'County', 0, '', 'F', ''),
('DEM', 'mothersname', '2Contact', 'Mother\'s Name', 6, 2, 0, 20, 63, '', 1, 1, '', '', '', 0, '', 'F', ''),
('DEM', 'guardiansname', '2Contact', 'Guardian\'s Name', 7, 2, 0, 20, 63, '', 1, 1, '', '', '', 0, '', 'F', ''),
('DEM', 'contact_relationship', '2Contact', 'Emergency Contact', 8, 2, 0, 10, 63, '', 1, 1, '', 'C', 'Emergency Contact Person', 0, '', 'F', ''),
('DEM', 'phone_contact', '2Contact', 'Emergency Phone', 9, 2, 0, 20, 63, '', 1, 1, '', 'P', 'Emergency Contact Phone Number', 0, '', 'F', ''),
('DEM', 'phone_home', '2Contact', 'Home Phone', 10, 2, 0, 20, 63, '', 1, 1, '', 'P', 'Home Phone Number', 0, '', 'F', ''),
('DEM', 'phone_biz', '2Contact', 'Work Phone', 11, 2, 0, 20, 63, '', 1, 1, '', 'P', 'Work Phone Number', 0, '', 'F', ''),
('DEM', 'phone_cell', '2Contact', 'Mobile Phone', 12, 2, 0, 20, 63, '', 1, 1, '', 'P', 'Cell Phone Number', 0, '', 'F', ''),
('DEM', 'email', '2Contact', 'Contact Email', 13, 2, 0, 30, 95, '', 1, 1, '', '', 'Contact Email Address', 0, '', 'F', ''),
('DEM', 'email_direct', '2Contact', 'Trusted Email', 14, 2, 0, 30, 95, '', 1, 1, '', '', 'Trusted Direct Email Address', 0, '', 'F', ''),
('DEM', 'providerID', '1Facesheet', 'Provider', 8, 11, 1, 0, 0, '', 1, 3, '', '', 'Provider', 0, '', 'F', ''),
('DEM', 'ref_providerID', '1Facesheet', 'Referring Provider', 9, 11, 1, 0, 0, '', 1, 3, '', '', 'Referring Provider', 0, '', 'F', ''),
('DEM', 'pharmacy_id', '3Choices', 'Pharmacy', 3, 12, 0, 0, 0, '', 1, 3, '', '', 'Preferred Pharmacy', 0, '', 'F', ''),
('DEM', 'hipaa_notice', '3Choices', 'HIPAA Notice Received', 4, 1, 0, 0, 0, 'yesno', 1, 1, '', '', 'Did you receive a copy of the HIPAA Notice?', 0, '', 'F', ''),
('DEM', 'hipaa_voice', '3Choices', 'Allow Voice Message', 5, 1, 0, 0, 0, 'yesno', 1, 1, '', '', 'Allow telephone messages?', 0, '', 'F', ''),
('DEM', 'hipaa_message', '3Choices', 'Leave Message With', 6, 2, 0, 20, 63, '', 1, 1, '', '', 'With whom may we leave a message?', 0, '', 'F', ''),
('DEM', 'hipaa_mail', '3Choices', 'Allow Mail Message', 7, 1, 0, 0, 0, 'yesno', 1, 1, '', '', 'Allow email messages?', 0, '', 'F', ''),
('DEM', 'hipaa_allowsms', '3Choices', 'Allow SMS', 8, 1, 0, 0, 0, 'yesno', 1, 1, '', '', 'Allow SMS (text messages)?', 0, '', 'F', ''),
('DEM', 'hipaa_allowemail', '3Choices', 'Allow Email', 9, 1, 0, 0, 0, 'yesno', 1, 1, '', '', 'Allow Email?', 0, '', 'F', ''),
('DEM', 'allow_imm_reg_use', '3Choices', 'Allow Immunization Registry Use', 10, 1, 0, 0, 0, 'yesno', 1, 1, '', '', '', 0, '', 'F', ''),
('DEM', 'allow_imm_info_share', '3Choices', 'Allow Immunization Info Sharing', 11, 1, 0, 0, 0, 'yesno', 1, 1, '', '', '', 0, '', 'F', ''),
('DEM', 'allow_health_info_ex', '3Choices', 'Allow Health Information Exchange', 12, 1, 0, 0, 0, 'yesno', 1, 1, '', '', '', 0, '', 'F', ''),
('DEM', 'allow_patient_portal', '3Choices', 'Allow Patient Portal', 13, 1, 0, 0, 0, 'yesno', 1, 1, '', '', '', 0, '', 'F', ''),
('DEM', 'care_team', '3Choices', 'Care Team', 14, 11, 0, 0, 0, '', 1, 1, '', '', '', 0, '', 'F', ''),
('DEM', 'cmsportal_login', '3Choices', 'CMS Portal Login', 15, 2, 0, 30, 60, '', 1, 1, '', '', 'CMS Portal Login ID', 0, '', 'F', ''),
('DEM', 'occupation', '4Employer', 'Occupation', 1, 26, 0, 0, 0, 'Occupation', 1, 1, '', '', 'Occupation', 0, '', 'F', ''),
('DEM', 'industry', '4Employer', 'Industry', 1, 26, 0, 0, 0, 'Industry', 1, 1, '', '', 'Industry', 0, '', 'F', ''),
('DEM', 'em_name', '4Employer', 'Employer Name', 2, 2, 0, 20, 63, '', 1, 1, '', 'C', 'Employer Name', 0, '', 'F', ''),
('DEM', 'em_street', '4Employer', 'Employer Address', 3, 2, 0, 25, 63, '', 1, 1, '', 'C', 'Street and Number', 0, '', 'F', ''),
('DEM', 'em_city', '4Employer', 'City', 4, 2, 0, 15, 63, '', 1, 1, '', 'C', 'City Name', 0, '', 'F', ''),
('DEM', 'em_state', '4Employer', 'State', 5, 26, 0, 0, 0, 'state', 1, 1, '', '', 'State/Locality', 0, '', 'F', ''),
('DEM', 'em_postal_code', '4Employer', 'Postal Code', 6, 2, 0, 6, 63, '', 1, 1, '', '', 'Postal Code', 0, '', 'F', ''),
('DEM', 'em_country', '4Employer', 'Country', 7, 26, 0, 0, 0, 'country', 1, 1, '', '', 'Country', 0, '', 'F', ''),
('DEM', 'language', '5Stats', 'Language', 1, 1, 0, 0, 0, 'language', 1, 3, '', '', 'Preferred Language', 0, '', 'F', ''),
('DEM', 'ethnicity', '5Stats', 'Ethnicity', 2, 33, 0, 0, 0, 'ethnicity', 1, 1, '', '', 'Ethnicity', 0, 'ethrace', 'F', ''),
('DEM', 'race', '5Stats', 'Race', 3, 36, 1, 0, 0, 'race', 1, 1, '', '', 'Race', 0, 'ethrace', 'F', ''),
('DEM', 'financial_review', '5Stats', 'Financial Review Date', 4, 2, 0, 10, 20, '', 1, 1, '', 'D', 'Financial Review Date', 0, '', 'F', ''),
('DEM', 'family_size', '5Stats', 'Family Size', 4, 2, 0, 20, 63, '', 1, 1, '', '', 'Family Size', 0, '', 'F', ''),
('DEM', 'monthly_income', '5Stats', 'Monthly Income', 5, 2, 0, 20, 63, '', 1, 1, '', '', 'Monthly Income', 0, '', 'F', ''),
('DEM', 'homeless', '5Stats', 'Homeless, etc.', 6, 2, 0, 20, 63, '', 1, 1, '', '', 'Homeless or similar?', 0, '', 'F', ''),
('DEM', 'interpretter', '5Stats', 'Interpreter', 7, 2, 0, 20, 63, '', 1, 1, '', '', 'Interpreter needed?', 0, '', 'F', ''),
('DEM', 'migrantseasonal', '5Stats', 'Migrant/Seasonal', 8, 2, 0, 20, 63, '', 1, 1, '', '', 'Migrant or seasonal worker?', 0, '', 'F', ''),
('DEM', 'contrastart', '5Stats', 'Contraceptives Start', 9, 4, 0, 0, 10, '', 1, 1, '', '', 'Date contraceptive services initially provided', 0, '', 'F', ''),
('DEM', 'referral_source', '5Stats', 'Referral Source', 10, 26, 0, 0, 0, 'refsource', 1, 1, '', '', 'How did they hear about us', 0, '', 'F', ''),
('DEM', 'vfc', '5Stats', 'VFC', 12, 1, 0, 0, 0, 'eligibility', 1, 1, '', '', 'Eligibility status for Vaccine for Children supplied vaccine', 0, '', 'F', ''),
('DEM', 'religion', '5Stats', 'Religion', 13, 1, 0, 0, 0, 'religious_affiliation', 1, 3, '', '', 'Patient Religion', 0, '', 'F', ''),
('DEM', 'deceased_date', '6Misc', 'Date Deceased', 1, 4, 1, 0, 20, '', 1, 3, '', 'D', 'If person is deceased, then enter date of death.', 0, '', 'F', ''),
('DEM', 'deceased_reason', '6Misc', 'Reason Deceased', 2, 2, 1, 30, 255, '', 1, 3, '', '', 'Reason for Death', 0, '', 'F', ''),
('DEM', 'usertext1', '6Misc', 'User Defined Text 1', 3, 2, 0, 10, 63, '', 1, 1, '', '', 'User Defined', 0, '', 'F', ''),
('DEM', 'usertext2', '6Misc', 'User Defined Text 2', 4, 2, 0, 10, 63, '', 1, 1, '', '', 'User Defined', 0, '', 'F', ''),
('DEM', 'usertext3', '6Misc', 'User Defined Text 3', 5, 2, 0, 10, 63, '', 1, 1, '', '', 'User Defined', 0, '', 'F', ''),
('DEM', 'usertext4', '6Misc', 'User Defined Text 4', 6, 2, 0, 10, 63, '', 1, 1, '', '', 'User Defined', 0, '', 'F', ''),
('DEM', 'usertext5', '6Misc', 'User Defined Text 5', 7, 2, 0, 10, 63, '', 1, 1, '', '', 'User Defined', 0, '', 'F', ''),
('DEM', 'usertext6', '6Misc', 'User Defined Text 6', 8, 2, 0, 10, 63, '', 1, 1, '', '', 'User Defined', 0, '', 'F', ''),
('DEM', 'usertext7', '6Misc', 'User Defined Text 7', 9, 2, 0, 10, 63, '', 1, 1, '', '', 'User Defined', 0, '', 'F', ''),
('DEM', 'usertext8', '6Misc', 'User Defined Text 8', 10, 2, 0, 10, 63, '', 1, 1, '', '', 'User Defined', 0, '', 'F', ''),
('DEM', 'userlist1', '6Misc', 'User Defined List 1', 11, 1, 0, 0, 0, 'userlist1', 1, 1, '', '', 'User Defined', 0, '', 'F', ''),
('DEM', 'userlist2', '6Misc', 'User DefinedList 2', 12, 1, 0, 0, 0, 'userlist2', 1, 1, '', '', 'User Defined', 0, '', 'F', ''),
('DEM', 'userlist3', '6Misc', 'User Defined List 3', 13, 1, 0, 0, 0, 'userlist3', 1, 1, '', '', 'User Defined', 0, '', 'F', ''),
('DEM', 'userlist4', '6Misc', 'User Defined List 4', 14, 1, 0, 0, 0, 'userlist4', 1, 1, '', '', 'User Defined', 0, '', 'F', ''),
('DEM', 'userlist5', '6Misc', 'User Defined List 5', 15, 1, 0, 0, 0, 'userlist5', 1, 1, '', '', 'User Defined', 0, '', 'F', ''),
('DEM', 'userlist6', '6Misc', 'User Defined List 6', 16, 1, 0, 0, 0, 'userlist6', 1, 1, '', '', 'User Defined', 0, '', 'F', ''),
('DEM', 'userlist7', '6Misc', 'User Defined List 7', 17, 1, 0, 0, 0, 'userlist7', 1, 1, '', '', 'User Defined', 0, '', 'F', ''),
('DEM', 'regdate', '6Misc', 'Registration Date', 18, 4, 0, 0, 10, '', 1, 1, '', 'D', 'Start Date at This Clinic', 0, '', 'F', ''),
('LBTref', 'refer_date', '1Referral', 'Referral Date', 1, 4, 2, 0, 0, '', 1, 1, 'C', 'D', 'Date of referral', 0, '', 'F', ''),
('LBTref', 'refer_from', '1Referral', 'Refer By', 2, 10, 2, 0, 0, '', 1, 1, '', '', 'Referral By', 0, '', 'F', ''),
('LBTref', 'refer_external', '1Referral', 'External Referral', 3, 1, 1, 0, 0, 'boolean', 1, 1, '', '', 'External referral?', 0, '', 'F', ''),
('LBTref', 'refer_to', '1Referral', 'Refer To', 4, 14, 2, 0, 0, '', 1, 1, '', '', 'Referral To', 0, '', 'F', ''),
('LBTref', 'body', '1Referral', 'Reason', 5, 3, 2, 30, 0, '', 1, 1, '', '', 'Reason for referral', 3, '', 'F', ''),
('LBTref', 'refer_diag', '1Referral', 'Referrer Diagnosis', 6, 2, 1, 30, 255, '', 1, 1, '', 'X', 'Referrer diagnosis', 0, '', 'F', ''),
('LBTref', 'refer_risk_level', '1Referral', 'Risk Level', 7, 1, 1, 0, 0, 'risklevel', 1, 1, '', '', 'Level of urgency', 0, '', 'F', ''),
('LBTref', 'refer_vitals', '1Referral', 'Include Vitals', 8, 1, 1, 0, 0, 'boolean', 1, 1, '', '', 'Include vitals data?', 0, '', 'F', ''),
('LBTref', 'refer_related_code', '1Referral', 'Requested Service', 9, 15, 1, 30, 255, '', 1, 1, '', '', 'Billing Code for Requested Service', 0, '', 'F', ''),
('LBTref', 'reply_date', '2Counter-Referral', 'Reply Date', 10, 4, 1, 0, 0, '', 1, 1, '', 'D', 'Date of reply', 0, '', 'F', ''),
('LBTref', 'reply_from', '2Counter-Referral', 'Reply From', 11, 2, 1, 30, 255, '', 1, 1, '', '', 'Who replied?', 0, '', 'F', ''),
('LBTref', 'reply_init_diag', '2Counter-Referral', 'Presumed Diagnosis', 12, 2, 1, 30, 255, '', 1, 1, '', '', 'Presumed diagnosis by specialist', 0, '', 'F', ''),
('LBTref', 'reply_final_diag', '2Counter-Referral', 'Final Diagnosis', 13, 2, 1, 30, 255, '', 1, 1, '', '', 'Final diagnosis by specialist', 0, '', 'F', ''),
('LBTref', 'reply_documents', '2Counter-Referral', 'Documents', 14, 2, 1, 30, 255, '', 1, 1, '', '', 'Where may related scanned or paper documents be found?', 0, '', 'F', ''),
('LBTref', 'reply_findings', '2Counter-Referral', 'Findings', 15, 3, 1, 30, 0, '', 1, 1, '', '', 'Findings by specialist', 3, '', 'F', ''),
('LBTref', 'reply_services', '2Counter-Referral', 'Services Provided', 16, 3, 1, 30, 0, '', 1, 1, '', '', 'Service provided by specialist', 3, '', 'F', ''),
('LBTref', 'reply_recommend', '2Counter-Referral', 'Recommendations', 17, 3, 1, 30, 0, '', 1, 1, '', '', 'Recommendations by specialist', 3, '', 'F', ''),
('LBTref', 'reply_rx_refer', '2Counter-Referral', 'Prescriptions/Referrals', 18, 3, 1, 30, 0, '', 1, 1, '', '', 'Prescriptions and/or referrals by specialist', 3, '', 'F', ''),
('LBTptreq', 'body', '1', 'Details', 10, 3, 2, 30, 0, '', 1, 3, '', '', 'Content', 5, '', 'F', ''),
('LBTphreq', 'body', '1', 'Details', 10, 3, 2, 30, 0, '', 1, 3, '', '', 'Content', 5, '', 'F', ''),
('LBTlegal', 'body', '1', 'Details', 10, 3, 2, 30, 0, '', 1, 3, '', '', 'Content', 5, '', 'F', ''),
('LBTbill', 'body', '1', 'Details', 10, 3, 2, 30, 0, '', 1, 3, '', '', 'Content', 5, '', 'F', ''),
('HIS', 'usertext11', '1General', 'Risk Factors', 1, 21, 1, 0, 0, 'riskfactors', 1, 1, '', '', 'Risk Factors', 0, '', 'F', ''),
('HIS', 'exams', '1General', 'Exams/Tests', 2, 23, 1, 0, 0, 'exams', 1, 1, '', '', 'Exam and test results', 0, '', 'F', ''),
('HIS', 'history_father', '2Family History', 'Father', 1, 2, 1, 20, 0, '', 1, 1, '', '', '', 0, '', 'F', ''),
('HIS', 'dc_father', '2Family History', 'Diagnosis Code', 2, 15, 1, 0, 255, '', 1, 1, '', '', '', 0, '', 'F', ''),
('HIS', 'history_mother', '2Family History', 'Mother', 3, 2, 1, 20, 0, '', 1, 1, '', '', '', 0, '', 'F', ''),
('HIS', 'dc_mother', '2Family History', 'Diagnosis Code', 4, 15, 1, 0, 255, '', 1, 1, '', '', '', 0, '', 'F', ''),
('HIS', 'history_siblings', '2Family History', 'Siblings', 5, 2, 1, 20, 0, '', 1, 1, '', '', '', 0, '', 'F', ''),
('HIS', 'dc_siblings', '2Family History', 'Diagnosis Code', 6, 15, 1, 0, 255, '', 1, 1, '', '', '', 0, '', 'F', ''),
('HIS', 'history_spouse', '2Family History', 'Spouse', 7, 2, 1, 20, 0, '', 1, 1, '', '', '', 0, '', 'F', ''),
('HIS', 'dc_spouse', '2Family History', 'Diagnosis Code', 8, 15, 1, 0, 255, '', 1, 1, '', '', '', 0, '', 'F', ''),
('HIS', 'history_offspring', '2Family History', 'Offspring', 9, 2, 1, 20, 0, '', 1, 1, '', '', '', 0, '', 'F', ''),
('HIS', 'dc_offspring', '2Family History', 'Diagnosis Code', 10, 15, 1, 0, 255, '', 1, 1, '', '', '', 0, '', 'F', ''),
('HIS', 'relatives_cancer', '3Relatives', 'Cancer', 1, 2, 1, 20, 0, '', 1, 1, '', '', '', 0, '', 'F', ''),
('HIS', 'relatives_tuberculosis', '3Relatives', 'Tuberculosis', 2, 2, 1, 20, 0, '', 1, 1, '', '', '', 0, '', 'F', ''),
('HIS', 'relatives_diabetes', '3Relatives', 'Diabetes', 3, 2, 1, 20, 0, '', 1, 1, '', '', '', 0, '', 'F', ''),
('HIS', 'relatives_high_blood_pressure', '3Relatives', 'High Blood Pressure', 4, 2, 1, 20, 0, '', 1, 1, '', '', '', 0, '', 'F', ''),
('HIS', 'relatives_heart_problems', '3Relatives', 'Heart Problems', 5, 2, 1, 20, 0, '', 1, 1, '', '', '', 0, '', 'F', ''),
('HIS', 'relatives_stroke', '3Relatives', 'Stroke', 6, 2, 1, 20, 0, '', 1, 1, '', '', '', 0, '', 'F', ''),
('HIS', 'relatives_epilepsy', '3Relatives', 'Epilepsy', 7, 2, 1, 20, 0, '', 1, 1, '', '', '', 0, '', 'F', ''),
('HIS', 'relatives_mental_illness', '3Relatives', 'Mental Illness', 8, 2, 1, 20, 0, '', 1, 1, '', '', '', 0, '', 'F', ''),
('HIS', 'relatives_suicide', '3Relatives', 'Suicide', 9, 2, 1, 20, 0, '', 1, 3, '', '', '', 0, '', 'F', ''),
('HIS', 'coffee', '4Lifestyle', 'Coffee', 2, 28, 1, 20, 0, '', 1, 3, '', '', 'Caffeine consumption', 0, '', 'F', ''),
('HIS', 'tobacco', '4Lifestyle', 'Tobacco', 1, 32, 1, 0, 0, 'smoking_status', 1, 3, '', '', 'Tobacco use', 0, '', 'F', ''),
('HIS', 'alcohol', '4Lifestyle', 'Alcohol', 3, 28, 1, 20, 0, '', 1, 3, '', '', 'Alcohol consumption', 0, '', 'F', ''),
('HIS', 'recreational_drugs', '4Lifestyle', 'Recreational Drugs', 4, 28, 1, 20, 0, '', 1, 3, '', '', 'Recreational drug use', 0, '', 'F', ''),
('HIS', 'counseling', '4Lifestyle', 'Counseling', 5, 28, 1, 20, 0, '', 1, 3, '', '', 'Counseling activities', 0, '', 'F', ''),
('HIS', 'exercise_patterns', '4Lifestyle', 'Exercise Patterns', 6, 28, 1, 20, 0, '', 1, 3, '', '', 'Exercise patterns', 0, '', 'F', ''),
('HIS', 'hazardous_activities', '4Lifestyle', 'Hazardous Activities', 7, 28, 1, 20, 0, '', 1, 3, '', '', 'Hazardous activities', 0, '', 'F', ''),
('HIS', 'sleep_patterns', '4Lifestyle', 'Sleep Patterns', 8, 2, 1, 20, 0, '', 1, 3, '', '', 'Sleep patterns', 0, '', 'F', ''),
('HIS', 'seatbelt_use', '4Lifestyle', 'Seatbelt Use', 9, 2, 1, 20, 0, '', 1, 3, '', '', 'Seatbelt use', 0, '', 'F', ''),
('HIS', 'name_1', '5Other', 'Name/Value', 1, 2, 1, 10, 255, '', 1, 1, '', '', 'Name 1', 0, '', 'F', ''),
('HIS', 'value_1', '5Other', '', 2, 2, 1, 10, 255, '', 0, 0, '', '', 'Value 1', 0, '', 'F', ''),
('HIS', 'name_2', '5Other', 'Name/Value', 3, 2, 1, 10, 255, '', 1, 1, '', '', 'Name 2', 0, '', 'F', ''),
('HIS', 'value_2', '5Other', '', 4, 2, 1, 10, 255, '', 0, 0, '', '', 'Value 2', 0, '', 'F', ''),
('HIS', 'additional_history', '5Other', 'Additional History', 5, 3, 1, 30, 0, '', 1, 3, '', '', 'Additional history notes', 3, '', 'F', ''),
('HIS', 'userarea11', '5Other', 'User Defined Area 11', 6, 3, 0, 30, 0, '', 1, 3, '', '', 'User Defined', 3, '', 'F', ''),
('HIS', 'userarea12', '5Other', 'User Defined Area 12', 7, 3, 0, 30, 0, '', 1, 3, '', '', 'User Defined', 3, '', 'F', ''),
('FACUSR', 'provider_id', '1General', 'Provider ID', 1, 2, 1, 15, 63, '', 1, 1, '', '', 'Provider ID at Specified Facility', 0, '', 'F', '');
