

DROP TABLE IF EXISTS `billing`;
CREATE TABLE IF NOT EXISTS `billing` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date` datetime DEFAULT NULL,
  `code_type` varchar(15) DEFAULT NULL,
  `code` varchar(20) DEFAULT NULL,
  `pid` int(11) DEFAULT NULL,
  `provider_id` int(11) DEFAULT NULL,
  `user` int(11) DEFAULT NULL,
  `groupname` varchar(255) DEFAULT NULL,
  `authorized` tinyint(1) DEFAULT NULL,
  `encounter` bigint(20) DEFAULT NULL,
  `code_text` longtext,
  `billed` tinyint(1) DEFAULT NULL,
  `activity` tinyint(1) DEFAULT NULL,
  `payer_id` int(11) DEFAULT NULL,
  `bill_process` tinyint(2) NOT NULL DEFAULT '0',
  `bill_date` datetime DEFAULT NULL,
  `process_date` datetime DEFAULT NULL,
  `process_file` varchar(255) DEFAULT NULL,
  `modifier` varchar(12) DEFAULT NULL,
  `units` int(11) DEFAULT NULL,
  `fee` decimal(12,2) DEFAULT NULL,
  `justify` varchar(255) DEFAULT NULL,
  `target` varchar(30) DEFAULT NULL,
  `x12_partner_id` int(11) DEFAULT NULL,
  `ndc_info` varchar(255) DEFAULT NULL,
  `notecodes` varchar(25) NOT NULL DEFAULT '',
  `external_id` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pid` (`pid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=134 ;

INSERT INTO `billing` (`id`, `date`, `code_type`, `code`, `pid`, `provider_id`, `user`, `groupname`, `authorized`, `encounter`, `code_text`, `billed`, `activity`, `payer_id`, `bill_process`, `bill_date`, `process_date`, `process_file`, `modifier`, `units`, `fee`, `justify`, `target`, `x12_partner_id`, `ndc_info`, `notecodes`, `external_id`) VALUES
(1, '2017-06-01 11:25:22', 'CPT4', '10121', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(2, '2017-06-01 11:25:22', 'CPT4', '11004', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(3, '2017-06-01 11:25:22', 'CPT4', '11042', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(4, '2017-06-01 11:25:22', 'CPT4', '11100', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(5, '2017-06-01 11:25:22', 'CPT4', '11600', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(6, '2017-06-01 11:25:22', 'CPT4', '15732', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(7, '2017-06-01 11:25:22', 'CPT4', '19125', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(8, '2017-06-01 11:25:22', 'CPT4', '19301', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(9, '2017-06-01 11:25:22', 'CPT4', '22551', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(10, '2017-06-01 11:25:22', 'CPT4', '33202', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(11, '2017-06-01 11:25:22', 'CPT4', '33510', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(12, '2017-06-01 11:25:22', 'CPT4', '34800', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(13, '2017-06-01 11:25:22', 'CPT4', '35556', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(14, '2017-06-01 11:25:22', 'CPT4', '36221', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(15, '2017-06-01 11:25:22', 'CPT4', '36223', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(16, '2017-06-01 11:25:22', 'CPT4', '36475', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(17, '2017-06-01 11:25:22', 'CPT4', '36555', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(18, '2017-06-01 11:25:22', 'CPT4', '37220', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(19, '2017-06-01 11:25:22', 'CPT4', '43644', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(20, '2017-06-01 11:25:22', 'CPT4', '44388', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(21, '2017-06-01 11:25:22', 'CPT4', '45378', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(22, '2017-06-01 11:25:22', 'CPT4', '51720', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(23, '2017-06-01 11:25:22', 'CPT4', '55810', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(24, '2017-06-01 11:25:22', 'CPT4', '57106', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(25, '2017-06-01 11:25:22', 'CPT4', '57260', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(26, '2017-06-01 11:25:22', 'CPT4', '58150', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(27, '2017-06-01 11:25:22', 'CPT4', '58353', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(28, '2017-06-01 11:25:22', 'CPT4', '59400', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(29, '2017-06-01 11:25:22', 'CPT4', '66840', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(30, '2017-06-01 11:25:22', 'CPT4', '66850', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(31, '2017-06-01 11:25:22', 'CPT4', '67107', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(32, '2017-06-01 11:25:22', 'CPT4', '70450', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(33, '2017-06-01 11:25:22', 'CPT4', '70490', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(34, '2017-06-01 11:25:22', 'CPT4', '71250', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(35, '2017-06-01 11:25:22', 'CPT4', '74150', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(36, '2017-06-01 11:25:22', 'CPT4', '75559', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(37, '2017-06-01 11:25:22', 'CPT4', '77427', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(38, '2017-06-01 11:25:22', 'CPT4', '78300', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(39, '2017-06-01 11:25:22', 'CPT4', '88104', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(40, '2017-06-01 11:25:22', 'CPT4', '88304', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(41, '2017-06-01 11:25:22', 'CPT4', '88307', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(42, '2017-06-01 11:25:22', 'CPT4', '88360', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(43, '2017-06-01 11:25:22', 'CPT4', '90791', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(44, '2017-06-01 11:25:22', 'CPT4', '90945', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(45, '2017-06-01 11:25:22', 'CPT4', '90951', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(46, '2017-06-01 11:25:22', 'CPT4', '90957', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(47, '2017-06-01 11:25:22', 'CPT4', '92002', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(48, '2017-06-01 11:25:22', 'CPT4', '92521', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(49, '2017-06-01 11:25:22', 'CPT4', '92540', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(50, '2017-06-01 11:25:22', 'CPT4', '92920', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(51, '2017-06-01 11:25:22', 'CPT4', '96160', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(52, '2017-06-01 11:25:22', 'CPT4', '97161', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(53, '2017-06-01 11:25:22', 'CPT4', '97164', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(54, '2017-06-01 11:25:22', 'CPT4', '97165', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(55, '2017-06-01 11:25:22', 'CPT4', '97168', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(56, '2017-06-01 11:25:22', 'CPT4', '97802', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(57, '2017-06-01 11:25:22', 'CPT4', '98960', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(58, '2017-06-01 11:25:22', 'CPT4', '99201', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(59, '2017-06-01 11:25:22', 'CPT4', '99218', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(60, '2017-06-01 11:25:22', 'CPT4', '99221', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(61, '2017-06-01 11:25:22', 'CPT4', '99238', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(62, '2017-06-01 11:25:22', 'CPT4', '99281', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(63, '2017-06-01 11:25:22', 'CPT4', '99385', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(64, '2017-06-01 11:25:22', 'CPT4', '00100', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(65, '2017-06-01 11:25:22', 'CPT4', '00566', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(66, '2017-06-01 11:25:22', 'CPT4', '0075T ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(67, '2017-06-01 11:25:22', 'CPT4', '02563ZZ ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(68, '2017-06-01 11:25:22', 'CPT4', '02H40JZ ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(69, '2017-06-01 11:25:22', 'ICD10', 'A52.17 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(70, '2017-06-01 11:25:22', 'ICD10', 'B18.2 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(71, '2017-06-01 11:25:22', 'ICD10', 'B20 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(72, '2017-06-01 11:25:22', 'ICD10', 'C00.0 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(73, '2017-06-01 11:25:22', 'ICD10', 'C18.0 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(74, '2017-06-01 11:25:22', 'ICD10', 'C19 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(75, '2017-06-01 11:25:22', 'ICD10', 'C34.00 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(76, '2017-06-01 11:25:22', 'ICD10', 'C43.0 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(77, '2017-06-01 11:25:22', 'ICD10', 'C44.01 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(78, '2017-06-01 11:25:22', 'ICD10', 'C50.011 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(79, '2017-06-01 11:25:22', 'ICD10', 'C53.0 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(80, '2017-06-01 11:25:22', 'ICD10', 'C77.0 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(81, '2017-06-01 11:25:22', 'ICD10', 'C90.00 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(82, '2017-06-01 11:25:22', 'ICD10', 'C91.00 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(83, '2017-06-01 11:25:22', 'ICD10', 'C91.10 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(84, '2017-06-01 11:25:22', 'ICD10', 'D46.0 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(85, '2017-06-01 11:25:22', 'ICD10', 'E08.311 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(86, '2017-06-01 11:25:22', 'ICD10', 'E10.10 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(87, '2017-06-01 11:25:22', 'ICD10', 'E75.00 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(88, '2017-06-01 11:25:22', 'ICD10', 'E84.0 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(89, '2017-06-01 11:25:22', 'ICD10', 'F20.0 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(90, '2017-06-01 11:25:22', 'ICD10', 'F32.0 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(91, '2017-06-01 11:25:22', 'ICD10', 'F98.0 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(92, '2017-06-01 11:25:22', 'ICD10', 'G40.A09 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(93, '2017-06-01 11:25:22', 'ICD10', 'G43.001 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(94, '2017-06-01 11:25:22', 'ICD10', 'G45.0 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(95, '2017-06-01 11:25:22', 'ICD10', 'G9948 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(96, '2017-06-01 11:25:22', 'ICD10', 'H20.00 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(97, '2017-06-01 11:25:22', 'ICD10', 'H35.30 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(98, '2017-06-01 11:25:22', 'ICD10', 'H40.10X0 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(99, '2017-06-01 11:25:22', 'ICD10', 'H40.1111 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(100, '2017-06-01 11:25:22', 'ICD10', 'H60.00 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(101, '2017-06-01 11:25:22', 'ICD10', 'H81.10 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(102, '2017-06-01 11:25:22', 'ICD10', 'I11.0 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(103, '2017-06-01 11:25:22', 'ICD10', 'I20.0 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(104, '2017-06-01 11:25:22', 'ICD10', 'I20.1 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(105, '2017-06-01 11:25:22', 'ICD10', 'I21.01 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(106, '2017-06-01 11:25:22', 'ICD10', 'I48.0 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(107, '2017-06-01 11:25:22', 'ICD10', 'I63.00 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(108, '2017-06-01 11:25:22', 'ICD10', 'I83.811 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(109, '2017-06-01 11:25:22', 'ICD10', 'J00 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(110, '2017-06-01 11:25:22', 'ICD10', 'J01.00 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(111, '2017-06-01 11:25:22', 'ICD10', 'J02.0 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(112, '2017-06-01 11:25:22', 'ICD10', 'J20.3 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(113, '2017-06-01 11:25:22', 'ICD10', 'J32.0 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(114, '2017-06-01 11:25:22', 'ICD10', 'J41.0 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(115, '2017-06-01 11:25:22', 'ICD10', 'J45.20 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(116, '2017-06-01 11:25:22', 'ICD10', 'J45.30 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(117, '2017-06-01 11:25:22', 'ICD10', 'K22.70 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(118, '2017-06-01 11:25:22', 'ICD10', 'K50.00 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(119, '2017-06-01 11:25:22', 'ICD10', 'K70.30 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(120, '2017-06-01 11:25:22', 'ICD10', 'L40.0 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(121, '2017-06-01 11:25:22', 'ICD10', 'M05.00 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(122, '2017-06-01 11:25:22', 'ICD10', 'M15.0 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(123, '2017-06-01 11:25:22', 'ICD10', 'M48.40XA ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(124, '2017-06-01 11:25:22', 'ICD10', 'N18.3', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(125, '2017-06-01 11:25:22', 'ICD10', 'N18.6 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(126, '2017-06-01 11:25:22', 'ICD10', 'N81.10 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(127, '2017-06-01 11:25:22', 'ICD10', 'O00.8 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(128, '2017-06-01 11:25:22', 'ICD10', 'O26.891 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(129, '2017-06-01 11:25:22', 'ICD10', 'O36.0110 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(130, '2017-06-01 11:25:22', 'ICD10', 'Q21.1 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(131, '2017-06-01 11:25:22', 'ICD10', 'R10.0 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(132, '2017-06-01 11:25:22', 'ICD10', 'S00.03XA ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL),
(133, '2017-06-01 11:25:22', 'ICD10', 'Z12.11 ', 1, 1, 1, 'Default', 1, 1, NULL, 0, 1, NULL, 0, NULL, NULL, NULL, '', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL);

DROP TABLE IF EXISTS `forms`;
CREATE TABLE IF NOT EXISTS `forms` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `date` datetime DEFAULT NULL,
  `encounter` bigint(20) DEFAULT NULL,
  `form_name` longtext,
  `form_id` bigint(20) DEFAULT NULL,
  `pid` bigint(20) DEFAULT NULL,
  `user` varchar(255) DEFAULT NULL,
  `groupname` varchar(255) DEFAULT NULL,
  `authorized` tinyint(4) DEFAULT NULL,
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'flag indicates form has been deleted',
  `formdir` longtext,
  PRIMARY KEY (`id`),
  KEY `pid_encounter` (`pid`,`encounter`),
  KEY `form_id` (`form_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;

INSERT INTO `forms` (`id`, `date`, `encounter`, `form_name`, `form_id`, `pid`, `user`, `groupname`, `authorized`, `deleted`, `formdir`) VALUES
(1, '2017-07-06 15:33:45', 1, 'New Patient Encounter', 1, 1, '1', 'Default', 1, 0, 'newpatient');

DROP TABLE IF EXISTS `form_encounter`;
CREATE TABLE IF NOT EXISTS `form_encounter` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `date` datetime DEFAULT NULL,
  `reason` longtext,
  `facility` longtext,
  `facility_id` int(11) NOT NULL DEFAULT '0',
  `pid` bigint(20) DEFAULT NULL,
  `encounter` bigint(20) DEFAULT NULL,
  `onset_date` datetime DEFAULT NULL,
  `sensitivity` varchar(30) DEFAULT NULL,
  `billing_note` text,
  `pc_catid` int(11) NOT NULL DEFAULT '5' COMMENT 'event category from openemr_postcalendar_categories',
  `last_level_billed` int(11) NOT NULL DEFAULT '0' COMMENT '0=none, 1=ins1, 2=ins2, etc',
  `last_level_closed` int(11) NOT NULL DEFAULT '0' COMMENT '0=none, 1=ins1, 2=ins2, etc',
  `last_stmt_date` date DEFAULT NULL,
  `stmt_count` int(11) NOT NULL DEFAULT '0',
  `provider_id` int(11) DEFAULT '0' COMMENT 'default and main provider for this visit',
  `supervisor_id` int(11) DEFAULT '0' COMMENT 'supervising provider, if any, for this visit',
  `invoice_refno` varchar(31) NOT NULL DEFAULT '',
  `referral_source` varchar(31) NOT NULL DEFAULT '',
  `billing_facility` int(11) NOT NULL DEFAULT '0',
  `external_id` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pid_encounter` (`pid`,`encounter`),
  KEY `encounter_date` (`date`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

INSERT INTO `form_encounter` (`id`, `date`, `reason`, `facility`, `facility_id`, `pid`, `encounter`, `onset_date`, `sensitivity`, `billing_note`, `pc_catid`, `last_level_billed`, `last_level_closed`, `last_stmt_date`, `stmt_count`, `provider_id`, `supervisor_id`, `invoice_refno`, `referral_source`, `billing_facility`, `external_id`) VALUES
(1, '2017-07-06 00:00:00', 'Imported Encounter', 'ENDOCRINEDIABETESSC', 1, 1, 1, '0000-00-00 00:00:00', 'normal', 'NULL', 9, 0, 0, '0000-00-00', 0, 1, 0, '', '', 0, NULL);

